package domain


type AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO struct {
    /*
        商户编号     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        门店编号     */
    ShopCode  *string `json:"shop_code,omitempty" `

    /*
        业务日期     */
    BizDate  *string `json:"biz_date,omitempty" `

    /*
        POS机编号     */
    PosNo  *string `json:"pos_no,omitempty" `

    /*
        值班编号     */
    ShiftNo  *string `json:"shift_no,omitempty" `

    /*
        收银员姓名     */
    CashierName  *string `json:"cashier_name,omitempty" `

    /*
        支付方式     */
    PayMethod  *string `json:"pay_method,omitempty" `

    /*
        系统统计金额     */
    SystemAmount  *string `json:"system_amount,omitempty" `

    /*
        输入金额     */
    InputAmount  *string `json:"input_amount,omitempty" `

    /*
        单据状态     */
    SettleStatus  *string `json:"settle_status,omitempty" `

    /*
        备注     */
    Remark  *string `json:"remark,omitempty" `

    /*
        扩展字段     */
    Extra  *string `json:"extra,omitempty" `

}

func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetMerchantCode(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetShopCode(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.ShopCode = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetBizDate(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.BizDate = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetPosNo(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.PosNo = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetShiftNo(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.ShiftNo = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetCashierName(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.CashierName = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetPayMethod(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.PayMethod = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetSystemAmount(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.SystemAmount = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetInputAmount(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.InputAmount = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetSettleStatus(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.SettleStatus = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetRemark(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.Remark = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) SetExtra(v string) *AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO {
    s.Extra = &v
    return s
}
